| FoxitPDFSDKforWeb v11.0.4 Archives Foxit PDF SDK for Web

Public Attributes | List of all members
BookmarkDestination Interface Reference
PDF » bookmark

Represents information about the destination of a bookmark. More...

## Public Attributes
number | bottom
| The bottom position on the page (in PDF coordinate system) (Optional). More...
number | left
| Horizontal position on the page (in PDF coordinate system) (Optional, defaults to the current page position shown in the view). More...
number | pageIndex
| Page index of the destination. (Optional, defaults to the current page index shown in the view) More...
number | right
| The right position on the page (in PDF coordinate system). (Optional) More...
number | top
| Vertical position on the page (in PDF coordinate system). (Optional, defaults to the current page position shown in the view) More...
number | zoomFactor
| The zoom factor. More...
ZoomMode | zoomMode
| The zoom mode of destination (Optional, defaults to ZoomMode.ZoomFitHorz) More...

## Detailed Description

Represents information about the destination of a bookmark.

See also
  BookmarkDataService.setDestination

Since
  10.0.0

## Member Data Documentation

## ◆ bottom

number BookmarkDestination::bottom

The bottom position on the page (in PDF coordinate system) (Optional).

Note
  This option only takes effect when zoomMode is set to ZoomMode.ZoomFitRect

Since
  10.0.0

## ◆ left

number BookmarkDestination::left

Horizontal position on the page (in PDF coordinate system) (Optional, defaults to the current page position shown in the view).

Note
  This option only takes effect when zoomMode is set to ZoomMode.ZoomXYZ, ZoomMode.ZoomFitVert, ZoomMode.ZoomFitBVert and ZoomMode.ZoomFitRect

Since
  10.0.0

## ◆ pageIndex

number BookmarkDestination::pageIndex

Page index of the destination. (Optional, defaults to the current page index shown in the view)

Since
  10.0.0

## ◆ right

number BookmarkDestination::right

The right position on the page (in PDF coordinate system). (Optional)

Note
  This option only takes effect when zoomMode is set to ZoomMode.ZoomFitRect

Since
  10.0.0

## ◆ top

number BookmarkDestination::top

Vertical position on the page (in PDF coordinate system). (Optional, defaults to the current page position shown in the view)

Note
  This option only takes effect when zoomMode is set to ZoomMode.ZoomXYZ, ZoomMode.ZoomFitHorz, ZoomMode.ZoomFitBHorz and ZoomMode.ZoomFitRect

Since
  10.0.0

## ◆ zoomFactor

number BookmarkDestination::zoomFactor

The zoom factor.

Note
  This option is only useful when zoomMode is ZoomMode.ZoomXYZ. If the zoom factor is 0, that means just use current zoom factor of application as the destination zoom factor.

Since
  10.0.0

## ◆ zoomMode

ZoomMode BookmarkDestination::zoomMode

The zoom mode of destination (Optional, defaults to ZoomMode.ZoomFitHorz)

Since
  10.0.0

@2025 Foxit Software Incorporated. All rights reserved.